package cli;

import org.apache.commons.cli.*;

public class CommandLineInterface {

    private Options options;
    private String[] userInput;

    public CommandLineInterface(String[] userInput){
        this.options = new Options();
        this.userInput = userInput;
        options.addOption("create", "create an issue");
        options.addOption("push", "push issues");
    }

    public CommandLine getInput() throws ParseException {
        CommandLineParser parser = new DefaultParser();
        return parser.parse(options, userInput);
    }
}
